using MessagePack;
using Server.Core;

namespace NetWorkMessage
{
    [Message(MessageOpcode.ClubGetInfoRPCRequest)]
    [ResponseType(typeof(ClubGetInfoRPCResponse))]
    [MessagePackObject]
    public class ClubGetInfoRPCRequest : MessageObject, IRequest
    {
        [Key(0)] public uint RpcId { get; set; }
        [Key(1)] public int ClubId { get; set; }
    }

    [Message(MessageOpcode.ClubGetInfoRPCResponse)]
    [MessagePackObject]
    public class ClubGetInfoRPCResponse : MessageObject, IResponse
    {
        [Key(0)] public int Error { get; set; }
        [Key(1)] public string Message { get; set; }
        [Key(2)] public uint RpcId { get; set; }
    }
}